## git-stuff 9

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = debian/*.config debian/*.postinst debian/*.postrm \
	  $(shell ls scripts/* | grep -v .pl | grep -v git-hook-notification-bts) # FIXME

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		if [ -f $${SCRIPT} ]; \
		then \
			sh -n $${SCRIPT}; \
			echo -n "."; \
		fi; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ -f $${SCRIPT} ]; \
			then \
				checkbashisms -f -x $${SCRIPT}; \
				echo -n "."; \
			fi; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing scripts
	mkdir -p $(DESTDIR)/usr/bin
	cp -r scripts/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/git-stuff
	mv $(DESTDIR)/usr/bin/git-stuff.sh $(DESTDIR)/usr/bin/git-stuff_profile.sh $(DESTDIR)/usr/share/git-stuff

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/git-stuff
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/git-stuff

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling scripts
	for _SCRIPT in $${SCRIPTS}; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${_SCRIPT}); \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin > /dev/null 2>&1 || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/git-stuff
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true

	# Removing remaining directories
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

## git-stuff 8

=== debian/changelog ===
git-stuff (8-1) unstable; urgency=low

  * Updating todo file.
  * Adding shebang in git-stuff example shortcut script.
  * Adding ciabot.sh as git-hook-notification-cia.
  * Removing useless whitespaces from git-hook-notification-cia.
  * Using compression level 9 also for binary packages.
  * Documenting git-debian-add.
  * Updating usage message of git-debian-changelog.
  * Respecting editor variable in bash shortcuts for dc command.
  * Adding old packaging workflow to docs, need to be updated and
    transformed in a full guide later.
  * Adding old packaging recommendations to docs, need to be updated and
    transformed in a full guide later.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Oct 2011 13:15:44 +0200

git-stuff (7-1) unstable; urgency=low

  * Creating cron job directory in postinst (Closes: #640598).
  * Updating bash shortcuts example file for git cherry-pick.
  * Documenting git-commit-lazy.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Sep 2011 13:05:44 +0200

git-stuff (6-1) unstable; urgency=low

  * Adding git-amend-all script.
  * Adding git-commit-lazy script.
  * Adding shortcut example file for /etc/profile.d.
  * Adding documentation for git-amend-all.
  * Improving git-checkout-branches long-description.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 05 Sep 2011 13:37:44 +0200

git-stuff (5-1) unstable; urgency=low

  * Correcting wrong license description in copyright.
  * Adding manpage for git-checkout-branches.
  * Completing German translation for git-stuff manpage.
  * Adding git-checkout-branches to package long-description.
  * Adding common functions file.
  * Avoid subdirectory docs when installing documentation files into
    /usr/share/doc/git-stuff.
  * Adding check for git metadata in git-upstream-add script.
  * Adding mode support for different distributions.
  * Adding symlinks for progress.
  * Silencing rmdir calls in makefile.
  * Correcting script name that gets called in /etc/cron.d/git-repack-
    repositories, thanks to Aaron M. Ucko <ucko@debian.org> (Closes:
    #640016).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 01 Sep 2011 16:34:41 +0200

git-stuff (4-1) unstable; urgency=low

  * Correcting wrong email address in previous changelog entry.
  * Unmarking debconf strings for translation (Closes: #637515).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 13 Aug 2011 07:36:47 +0200

git-stuff (3-1) unstable; urgency=low

  * Move --quiet invocation from git-repack-repositories-cron to the
    actual cronjob, that way the cron job is verbose when manually
    invoked.
  * Making git-repack-repositories-cron to be recursive by default.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 09 Aug 2011 16:15:10 +0200

git-stuff (2-1) unstable; urgency=low

  * git-debian-tag: Strip leading 'debian/' from tags.
  * Adding mr to recommends.
  * Making uid/gid restoration generic in git-repack-repositories.
  * Consistenly using underscore in variables of git-repack-repositories
    script.
  * Adding git-repack-repositories-cron script.
  * Adding quiet option to git-repack-repositories in order to be called
    from git-repack-repositories-cron.
  * Adding debconf integration for /etc/default/git-repack-repositories.
  * Adding git-commit-notice script from alioth.debian.org.
  * Using VCS rather than SCM in subject of the mails generated by git-
    commit-notice.
  * Adding git-ciabot.pl script from alioth.debian.org.
  * Adding git-post-receive-tag-pending script from alioth.debian.org.
  * Renaming git-ciabot.pl to git-hook-notification-cia.pl for
    consistency.
  * Renaming git-commit-notice to git-hook-notification-email for
    consistency.
  * Renaming git-post-receive-tag-pending to git-hook-notification-bts
    for consistency.
  * Changing from address in git-hook-notification-cia.pl from
    admin@alioth.debian.org to git-stuff@packages.qa.debian.org.
  * Prefering local repository configuration for projectroot and
    baseurlover debian defaults in git-hook-notification-bts.
  * Excluding git-hooks-notifications-bts from bashism check (it's
    bash).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 09 Aug 2011 14:22:34 +0200

git-stuff (1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 26 Jul 2011 20:51:05 +0200

=== debian/control ===
Source: git-stuff
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2

Package: git-stuff
Architecture: all
Depends: ${misc:Depends}, git
Recommends: cron, git-buildpackage, mr, pristine-tar
Description: additional Git utilities
 This is a growing collection of tools for the Git Version Control System.
 .
 Currently the following tools have been documented:
 .
  * git-amend-all: adds all untracked files and amend all changes to the last
    commit
  * git-checkout-branches: checks out all remote branches
  * git-commit-lazy: creates a new commit with all untracked files and changes
  * git-debian-add: creates a new commit and tag with all untracked files and
    changes as new debian version

## git-stuff 9

=== debian/changelog ===
git-stuff (9-1) unstable; urgency=low

  * Adding git-cherry-pick-recursive script.
  * Documenting git-cherry-pick-recursive.
  * Unifying name entries in manpages.
  * Documenting git-debian-changelog.
  * Adding g alias for git in git-stuff profile.
  * Updating todo file.
  * Setting debconf questions to unseen when the answer is read from
    conffile.
  * Adding git-whoami script from Peter Eisentraut
    <peter@eisentraut.org>.
  * Adding manpage for git-whoami.
  * Correcting some consistency errors in manpages.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Nov 2011 23:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,10 @@
   * git-amend-all: adds all untracked files and amend all changes to the last
     commit
   * git-checkout-branches: checks out all remote branches
+  * git-cherry-pick-recursive: does a cherry\-pick for a commit and each all its
+    children
   * git-commit-lazy: creates a new commit with all untracked files and changes
   * git-debian-add: creates a new commit and tag with all untracked files and
     changes as new debian version
+  * git-debian-changelog: creates a new section in debian/changelog with all
+    entries since the last release

## git-stuff 10

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	cp -r scripts/* $(DESTDIR)/usr/bin
 
 	mkdir -p $(DESTDIR)/usr/share/git-stuff
-	mv $(DESTDIR)/usr/bin/git-stuff.sh $(DESTDIR)/usr/bin/git-stuff_profile.sh $(DESTDIR)/usr/share/git-stuff
+	mv $(DESTDIR)/usr/bin/git-stuff $(DESTDIR)/usr/bin/git-stuff_profile.sh $(DESTDIR)/usr/share/git-stuff
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/git-stuff

=== debian/changelog ===
git-stuff (10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating todo file.
  * Adding git-whoami to package description.
  * Using full stop for utilities list in package long-description.
  * Correcting spelling typo in package description.
  * Making git-repack-repositories-cron silent if its disabled.
  * Moving to a common git-stuff default and cron file in preparation
    for additional jobs being added.
  * Adding gitstats integration (FIXME).

  [ Michael Dorrington ]
  * Spelling correction of the word 'remember'.

  [ Daniel Baumann ]
  * Correcting spelling typo in workflow documentation, thanks to Thomas
    Jampen <jampen@cryptography.ch>.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 09 Mar 2012 16:02:38 +0100

=== debian/control ===
Source: git-stuff
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2

Package: git-stuff
Architecture: all
Depends: ${misc:Depends}, git
Recommends: cron, git-buildpackage, gitstats, mr, pristine-tar
Description: additional Git utilities
 This is a growing collection of tools for the Git Version Control System.
 .
 Currently the following tools have been documented:
 .
  * git-amend-all: adds all untracked files and amend all changes to the last
    commit.
  * git-checkout-branches: checks out all remote branches.
  * git-cherry-pick-recursive: does a cherry-pick for a commit and each all its
    children.
  * git-commit-lazy: creates a new commit with all untracked files and changes.
  * git-debian-add: creates a new commit and tag with all untracked files and
    changes as new debian version.
  * git-debian-changelog: creates a new section in debian/changelog with all
    entries since the last release.
  * git-whoami: tells about author and committer information.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	# removing unused files
	rm -f debian/git-stuff/usr/share/doc/git-stuff/COPYING

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

## git-stuff 11

=== debian/changelog ===
git-stuff (11-1) unstable; urgency=low

  * Updating to standards version 3.9.3.
  * Updating to debhelper version 9.
  * Updating copyright file machine-readable format version 1.0.
  * Removing temporary commit message cruft in 9-1 changelog.
  * Using .sh suffix for /etc/profile.d includes.
  * Updating git-upstream-tar for xz compressed tarballs.
  * Adding -F to git-repack in git-repack-repositories.
  * Updating GPL boilerplate in copyright.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 19:05:51 +0200

## git-stuff 12

=== debian/changelog ===
git-stuff (12-1) unstable; urgency=low

  * Updating git-upstream-tarball for multiple upstream tarballs.
  * Adding reviewed templates from the debian-l10n-english team (Closes:
    #686047).
  * Removing notifications for discontinued cia.vc service.
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #687068).
  * Adding Slovak debconf translations from Slavko <slavko@slavino.sk>
    (Closes: #687097).
  * Adding Portuguese debconf translations from Rui Branco
    <ruipb@debianpt.org> (Closes: #687143).
  * Adding Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #687191).
  * Adding Polish debconf translations from Michał Kułach
    <michal.kulach@gmail.com> (Closes: #687548).
  * Adding modified German debconf translations from Holger Wansing
    <linux@wansing-online.de> (Closes: #687661).
  * Adding Japanese debconf translations from victory
    <victory.deb@gmail.com> (Closes: #688144).
  * Adding Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #688417).
  * Avoid superfluous asking twice of debconf questions.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 28 Sep 2012 16:57:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 
 Package: git-stuff
 Architecture: all
 Depends: ${misc:Depends}, git
-Recommends: cron, git-buildpackage, gitstats, mr, pristine-tar
+Recommends: cron, git-buildpackage, mr, pristine-tar
 Description: additional Git utilities
  This is a growing collection of tools for the Git Version Control System.
  .

## git-stuff 14

=== debian/changelog ===
git-stuff (14-1) unstable; urgency=low

  * Marking accidentally translatable directories and cron debconf
    defaults as untranslatable again, thanks to David Prevot
    <taffit@debian.org (Closes: #693149).
  * Correcting mode detection for deriviative scripts.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 13 Nov 2012 18:43:20 +0100

git-stuff (13-1) unstable; urgency=low

  * Adding suggests to irker.
  * Adjusting symlinks for progress-linux tools.
  * Updating to standards version 3.9.4.
  * Adding suggests to gitstats.
  * Updating years in copyright notices.
  * Referencing xz tarballs in git-upstream-tar usage message.
  * Correcting references to multi tarballs in git-upstream-tar usage
    message.
  * Adding wrappers to remove branches and tags in origin.
  * Adding comment in profile snippet to mention automatic inclusion and
    exclusion through packaging (Closes: #690609).
  * Updating outdated conffile location in git-repack-repositories-cron
    (Closes: #670430).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #692336).
  * Adding initial Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #687701).
  * Adding initial Spanish debconf translations from Javier Fernandez-
    Sanguino <jfs@computer.org> (Closes: #688927).
  * Adding initial French debconf translations from David Prévot
    <david@tilapin.org> (Closes: #687725).
  * Adding initial Italian debconf translations from Beatrice Torracca
    <beatricet@libero.it> (Closes: #687772).
  * Applying patch from Tom Jampen <tom@cryptography.ch> for git-debian-
    changelog to conditionally use git-dch wrap script if available.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Nov 2012 13:22:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: git-stuff
 Architecture: all
 Depends: ${misc:Depends}, git
 Recommends: cron, git-buildpackage, mr, pristine-tar
+Suggests: gitstats, irker
 Description: additional Git utilities
  This is a growing collection of tools for the Git Version Control System.
  .

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	rm -f debian/git-stuff/usr/share/doc/git-stuff/COPYING
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9

## git-stuff 16

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LANGUAGES = $(shell cd manpages/po && ls)
 
 SCRIPTS = debian/*.config debian/*.postinst debian/*.postrm \
-	  $(shell ls scripts/* | grep -v .pl | grep -v git-hook-notification-bts) # FIXME
+	  $(shell ls scripts/* | grep -v git-hook-notification-bts) # FIXME
 
 all: build

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name git-stuff po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
git-stuff (16-1) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:40:29 +0100

git-stuff (15-1) unstable; urgency=low

  * Adjusting mode detection again to be actually working now.
  * Adding dpkg-source local-options.
  * Dropping dpkg-source compression levels.
  * Updating copyright notices for 2013.
  * Correcting cropping of orig.tar.xz tarballs when creating commit
    message in git-upstream-tar, thanks to Mathias Behrle
    <mathiasb@m9s.biz> (Closes: #700695).
  * Updating version script for manpages to automatically translate date
    strings.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Feb 2013 09:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-stuff
 Section: misc
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	rm -f debian/git-stuff/usr/share/doc/git-stuff/COPYING
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz

## git-stuff 22

=== debian/changelog ===
git-stuff (22-2) unstable; urgency=medium

  * Introduced myself as Maintainer, Daniel abandoned the package.
  * Rebuilt the code history from snapshots.debian.org
  * Set compat to 10
  * Bumped minimum version of debhelpers to 10
  * Removed --parallel from rules, standard in compat 10
  * Removed source/option, xz is standard
  * Removed compression override from rules
  * Pointed VCS-Fields and Hompage to Github
  * Added myself to debian/copyrights
  * Fixed insecure copyrights-format link
  * Removed Daniel as Upstream-Contact
  * Removed Uploaders - there are no plans to reintroduce the package
    into debian right now
  * Added debian/.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Oct 2016 03:14:35 +0200

git-stuff (22-1) unstable; urgency=low

  * Dropping -S from git tag calls.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jul 2014 07:57:13 +0200

git-stuff (21-1) unstable; urgency=low

  * Adding --show-signature to appropriate git shortcuts.
  * Creating signed commits and tags by default.
  * Updating year in copyright notices.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Jul 2014 14:39:42 +0200

git-stuff (20-2) unstable; urgency=low

  * Updating year in copyright file.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:54:35 +0200

git-stuff (20-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Sourcing consistently all conf.d files for defaults.
  * Adding gitolite suexec wrappers.
  * Removing git-*-retag, not really working nor usefull anyway.
  * Including gitdm 20130829 from git://git.lwn.net/gitdm.git.
  * Updating debian/copyright for gitdm.
  * Adding git-hook.d hook that can be symlinked into hooks/foo which then
    executes hooks/foo.d/*.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Jan 2014 13:27:47 +0100

git-stuff (19-1) experimental; urgency=low

  * Updating vcs fields.
  * Adding todo file.
  * Also calling git update-server-info in git-repack-repositories.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 Oct 2013 09:56:33 +0200

git-stuff (18-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Adding lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 13:14:15 +0200

git-stuff (18-1) experimental; urgency=low

  * Shortening links to upstream homepage.
  * Correcting spelling typo in git-debian-add manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jun 2013 17:49:23 +0200

git-stuff (17-1) experimental; urgency=low

  * Adding git-extras to suggests.
  * Also reading in /etc/default/git-stuff.d and .git-stuff.d as conffile
    directories.
  * Adding trivial hook to call git-hook-update-server-info.
  * Updating todo file.
  * Removing double quotes in git-hook-notification-email to prevent exim
    from refusing the address, thanks to Rafael Laboissiere
    <rafael@laboissiere.net> (Closes: #701631).
  * Updating git-hook-notification-email and git-hook-notification-bts to
    use git config instead of obsolete git repo-config, thanks to Rafael
    Laboissiere <rafael@laboissiere.net> (Closes: #702451).
  * Updating manpages makefile for additional languages.
  * Adding homepage field in control.
  * Updating meta information in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Apr 2013 07:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,24 @@
 Source: git-stuff
 Section: misc
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
-Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Maintainer: Alf Gaida <agaida@siduction.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Homepage: https://github.com/git-stuff/git-stuff
+Vcs-Browser: http://github.com/git-stuff/git-stuff
+Vcs-Git: https://github.com/git-stuff/git-stuff.git
 
 Package: git-stuff
 Architecture: all
-Depends: ${misc:Depends}, git
-Recommends: cron, git-buildpackage, mr, pristine-tar
-Suggests: gitstats, irker
+Depends: ${misc:Depends},
+         git
+Recommends: cron,
+            git-buildpackage,
+            mr,
+            pristine-tar
+Suggests: git-extras,
+          gitstats,
+          irker
 Description: additional Git utilities
  This is a growing collection of tools for the Git Version Control System.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 	# removing unused files
 	rm -f debian/git-stuff/usr/share/doc/git-stuff/COPYING
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
